import 'package:flutter/material.dart';
import 'package:flutter_hooks/flutter_hooks.dart';
import 'package:auto_route/auto_route.dart';

class MoviesIconsRow extends HookWidget {
  const MoviesIconsRow({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 30, horizontal: 4),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          //Back Arrow
          IconButton(
            icon: const Icon(Icons.arrow_back_rounded),
            padding: const EdgeInsets.all(0),
            onPressed: () => context.router.pop(),
          ),

          //Filter
          IconButton(
            icon: const Icon(Icons.filter_list_rounded, size: 25),
            padding: const EdgeInsets.all(0),
            onPressed: () {},
          ),
        ],
      ),
    );
  }
}

